library("devtools")
library("tidyverse")
library("iglu")

#streamdata<-read.csv("/home/scb/dia/libre1_blood.csv",header=FALSE,sep=',');
streamdata<-read.csv("/home/scb/dia/libre1_fgm.csv",header=FALSE,sep=',');
streamdata <- streamdata[ streamdata$V4 == "blood sample", ]

#cgmdata <- data.frame(streamdata$Sensorid,as.POSIXct(streamdata$UnixTime, origin="1970-01-01"),streamdata$mg.dL) 
blooddata<-data.frame("Name",as.POSIXct(streamdata$V1, tz = ""),streamdata$V2,streamdata$V3,streamdata$V4)

colnames(blooddata)[3]<-"gl"
colnames(blooddata)[2]<-"time"
colnames(blooddata)[1]<-"id"


unique(cgmdata$id)		# to see the sensor id's
#agp(dplyr::filter(cgmdata,id=="3MH0042XDKM"))  
#blooddata_filtered <- dplyr::filter(blooddata,time>="2023-10-17"&time<"2024-01-16")
end_date <- as.Date("2024-01-26")
start_date <- end_date - 90
blooddata_filtered <- dplyr::filter(blooddata,time>=start_date&time<=end_date)
agp_metrics(blooddata_filtered)[9:13]
mean(blooddata_filtered$gl)
#mean(blooddata$gl, na.rm = TRUE)

summary_glu(blooddata_filtered$gl)

g <- ggplot(blooddata_filtered, aes(x=time, y=gl)) + geom_line() +  xlab("")
g

