library("devtools")
library("tidyverse")
library("iglu")

streamdata<-read.csv("/home/scb/dia/History.tsv",header=TRUE,sep='\t');


#cgmdata <- data.frame(streamdata$Sensorid,as.POSIXct(streamdata$UnixTime, origin="1970-01-01", tz=""),streamdata$mg.dL) 
cgmdata<-data.frame("Name",as.POSIXct(streamdata$UnixTime, origin="1970-01-01", tz=""),streamdata$mg.dL)
colnames(cgmdata)[1]<-"id"
colnames(cgmdata)[2]<-"time"
colnames(cgmdata)[3]<-"gl"

unique(cgmdata$id)		# to see the sensor id's
#cgmdata <- dplyr::filter(cgmdata,id=="0M000Q6P5C8")
#cgmdata <- dplyr::filter(cgmdata,time>="2024-01-12"&time<="2024-01-27")
end_date <- as.Date("2024-02-08")
start_date <- end_date - 90
cgmdata <- dplyr::filter(cgmdata,time>=start_date&time<=end_date)
agp(cgmdata, dt0=15, daily = FALSE)
#plot_ranges(cgmdata)

agp_metrics(cgmdata)[9:13]
in_range_percent(cgmdata)
sprintf("TIR 70 - 180 mg/dL: %.2f%%", agp_metrics(cgmdata)[9:13][3])
#pgs(cgmdata,dur_length = 20,end_length = 30)
#plot_agp(cgmdata, dt0=15)
